summaryrefslogtreecommitdiff
path: root/bin/git-push-all
diff options
context:
space:
mode:
Diffstat (limited to 'bin/git-push-all')
-rwxr-xr-xbin/git-push-all4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/git-push-all b/bin/git-push-all
index 03cd29d0..dd02e63d 100755
--- a/bin/git-push-all
+++ b/bin/git-push-all
@@ -77,7 +77,9 @@ foreach my $branch ( @branches ) {
# print "I: pushing $branch to $tracking (probably to its tracking branch)\n";
push @{ $pushes{$tracking} }, $branch;
} else {
- die "E: couldn't find anywhere to push $branch";
+ print "E: couldn't find anywhere to push $branch\n";
+ print "I: maybe you want to \`git branchmove\` it to a remote\n";
+ exit 1;
}
}